package com.red.circle.game.fruit.infrastructure.database.cache.service;


/**
 * 摩天轮任务 缓存.
 *
 * @author zongpubin on 2023/12/18
 */
public interface GameFruitTaskCacheService {

  /**
   * 记录抽中任务目标次数.
   *
   * @param userId 用户id
   * @param type   类型
   */
  void recordGameFruitTaskAward(Long userId, String type);


  /**
   * 获取抽中任务目标次数.
   *
   * @param userId 用户id
   * @param type   类型
   * @return 抽中次数
   */
  Integer getGameFruitTaskAward(Long userId, String type);


  /**
   * 记录用户连赢轮数.
   *
   * @param userId 用户id
   */
  void addUserWinRounds(Long userId);

  /**
   * 获取用户连赢轮数
   *
   * @param userId 用户id
   * @return 连赢轮数
   */
  Integer getUserWinRounds(Long userId);

  /**
   * 重置用户连赢轮数.
   *
   * @param userId 用户id
   */
  void resetUserWinRounds(Long userId);
}
